Module jdk.compiler
Package com.sun.source.tree

# Interface CatchTree

All Superinterfaces:
  `Tree`

public interface CatchTree extends Tree
A tree node for a `catch` block in a `try` statement. For example:

       catch ( parameter )
           block

See Java Language Specification:
  14.20 The try statement
Since:
  1.6

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`BlockTree`
`getBlock()`
Returns the catch block.
`VariableTree`
`getParameter()`
Returns the catch variable.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getParameter

VariableTree getParameter()
Returns the catch variable. A multi-catch variable will have a `UnionTypeTree` as the type of the variable.

Returns:
  the catch variable

### getBlock

BlockTree getBlock()
Returns the catch block.

Returns:
  the catch block